List Trusted Domains
Lists Trusted Domains of the instance. By default the instance will be determined by the context of the request, e.g. the host header. You can optionally pass an InstanceID to list the domains of a specific instance. This requires additional permissions.
Required permissions:
iam.readsystem.instance.read(if InstanceID is set)
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.instance.v2.InstanceService/ListTrustedDomains" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"trustedDomain": [
{
"instanceId": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"domain": "string"
}
],
"pagination": {
"totalResult": 0,
"appliedLimit": 0
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Instances
List Instances: Lists instances matching the given query. The query can be used to filter either by instance ID or domain. The request is paginated and returns 100 results by default. This method requires system l...
Remove Custom Domain
Remove Custom Domain: Removes a Custom Domain from the instance. Be aware that this will stop routing requests from this domain to the instance and might break existing setups or integrations. This method requires syste...